export interface KeepRunningProps {
    getStepGenerator(): IterableIterator<number>;
    run?(value: number): void;
    validator(target?: EventTarget): boolean | undefined;
    enabled?(): boolean;
    delay?: number;
    interval?: number;
}
export default function keepRunning(props: KeepRunningProps): (target: any, _key: any, descriptor: any) => {
    enumerable: boolean;
    configurable: boolean;
    get(): any;
};
